%define	tarname	Cython

Summary:	Language for writing C extensions to Python
Name:		python-cython
Version:	0.22.1
Release:	%mkrel 3
Source0:	https://pypi.python.org/packages/source/C/%{tarname}/%{tarname}-%{version}.tar.gz
License:	Apache License
Group:		Development/Python
Url:		http://www.cython.org
BuildRequires:	pkgconfig(python2)
BuildRequires:	dos2unix
BuildRequires:	emacs
BuildRequires:	pythonegg(2)(setuptools)
Obsoletes:	cython <= %{version}-%{release}

%description
Cython is a language that facilitates the writing of C extensions for
the Python language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%package -n python3-cython
Summary:	Language for writing Python 3 extension modules
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-cython
Cython is a language that facilitates the writing of C extensions for
the Python 3 language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%prep
%setup -q -n %{tarname}-%{version}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
find -name .*DS_Store* | xargs rm -rf
pushd %{py3dir}
%py3_install 
mv %{buildroot}/usr/bin/cython %{buildroot}/usr/bin/python3-cython
mv %{buildroot}/usr/bin/cygdb %{buildroot}/usr/bin/python3-cygdb
rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests
popd

%py2_install
rm -rf ${buildroot}%{python2_sitelib}/setuptools/tests

pushd Tools
dos2unix cython-mode.el
emacs -batch -f batch-byte-compile cython-mode.el
%__install -m 755 -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
%__install -m 644 *.el* %{buildroot}%{_sysconfdir}/emacs/site-start.d
popd


%files
%{_bindir}/cython
%{_bindir}/cygdb
%{_bindir}/cythonize
%{python2_sitearch}/Cython
%{python2_sitearch}/cython.py*
%{python2_sitearch}/pyximport
%{python2_sitearch}/Cython*egg-info
%{_sysconfdir}/emacs/site-start.d/*.el*

%files -n python3-cython
%doc *.txt Demos Doc Tools
%{python3_sitearch}/*
%{_bindir}/python3-cython
%{_bindir}/python3-cygdb
%{python3_sitearch}/Cython*egg-info



%changelog
* Tue Feb 16 2016 umeabot <umeabot> 0.22.1-3.mga6
+ Revision: 962201
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.22.1-2.mga6
+ Revision: 887254
- rebuild for python 3.5
- use new python macros

* Fri Jun 26 2015 joequant <joequant> 0.22.1-1.mga6
+ Revision: 844424
- 0.22.1
- upgrade to 0.22

* Wed Oct 15 2014 umeabot <umeabot> 0.20.1-5.mga5
+ Revision: 743138
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.20.1-4.mga5
+ Revision: 728216
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.20.1-3.mga5
+ Revision: 687955
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.20.1-2.mga5
+ Revision: 628539
- Rebuild for new Python

* Tue Mar 04 2014 philippem <philippem> 0.20.1-1.mga5
+ Revision: 599559
- update to 0.20.1

* Tue Oct 22 2013 umeabot <umeabot> 0.19.1-4.mga4
+ Revision: 543236
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.19.1-3.mga4
+ Revision: 498343
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 0.19.1-2.mga4
+ Revision: 492633
+ rebuild (emptylog)

* Fri Jul 05 2013 philippem <philippem> 0.19.1-1.mga4
+ Revision: 450357
- Update to 0.19.1, add Python 3

* Sun Feb 03 2013 neoclust <neoclust> 0.18-1.mga3
+ Revision: 394230
- New version

* Sun Jan 13 2013 umeabot <umeabot> 0.15.1-2.mga3
+ Revision: 378630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 20 2011 lebedov <lebedov> 0.15.1-1.mga2
+ Revision: 146037
- Update to 0.15.1.

* Sat Apr 16 2011 ahmad <ahmad> 0.14.1-1.mga1
+ Revision: 86843
- update to 0.14.1
- drop patch0, fixed upstream

* Mon Feb 21 2011 ahmad <ahmad> 0.14-4.mga1
+ Revision: 55585
- rebuild to make all pythonegg requires/provides lowercase

* Mon Jan 17 2011 pterjan <pterjan> 0.14-3.mga1
+ Revision: 21292
- Rebuild for python 2.7

  + ahmad <ahmad>
    - add upstream patch to fix a compiler crash
    - imported package python-cython


* Tue Dec 14 2010 Lev Givon <lev@mandriva.org> 0.14-1mdv2011.0
+ Revision: 621815
- Update to 0.14.

* Sat Oct 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.13-2mdv2011.0
+ Revision: 590646
- rebuild for python-2.7
- drop obsolete %%py_requires macro and add BR python-devel
- disable checks for now as they fail (the numpy ones)

* Wed Aug 25 2010 Lev Givon <lev@mandriva.org> 0.13-1mdv2011.0
+ Revision: 573270
- Update to 0.13.

* Tue Feb 02 2010 Lev Givon <lev@mandriva.org> 0.12.1-1mdv2010.1
+ Revision: 499585
- Update to 0.12.1.

* Mon Nov 23 2009 Lev Givon <lev@mandriva.org> 0.12-1mdv2010.1
+ Revision: 469387
- Update to 0.12.

* Sun Sep 27 2009 Lev Givon <lev@mandriva.org> 0.11.3-1mdv2010.0
+ Revision: 449880
- Update to 0.11.3.

* Wed May 20 2009 Lev Givon <lev@mandriva.org> 0.11.2-1mdv2010.0
+ Revision: 378065
- Update to 0.11.2.

* Sun May 03 2009 Lev Givon <lev@mandriva.org> 0.11.1-1mdv2010.0
+ Revision: 371101
- Update to 0.11.1.

* Sun Mar 15 2009 Lev Givon <lev@mandriva.org> 0.11-1mdv2009.1
+ Revision: 355431
- Update to 0.11.

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.10.3-2mdv2009.1
+ Revision: 320161
- rebuild for new python

* Wed Dec 17 2008 Lev Givon <lev@mandriva.org> 0.10.3-1mdv2009.1
+ Revision: 315162
- Update to 0.10.3.

* Wed Nov 26 2008 Lev Givon <lev@mandriva.org> 0.10.2-1mdv2009.1
+ Revision: 307043
- Update to 0.10.2.

* Sun Nov 09 2008 Lev Givon <lev@mandriva.org> 0.10-1mdv2009.1
+ Revision: 301257
- Update to 0.10.

* Tue Sep 23 2008 Lev Givon <lev@mandriva.org> 0.9.8.1.1-2mdv2009.0
+ Revision: 287546
- Correct license.

* Wed Aug 20 2008 Lev Givon <lev@mandriva.org> 0.9.8.1.1-1mdv2009.0
+ Revision: 274335
- Update to 0.9.8.1.1.

* Tue Aug 19 2008 Lev Givon <lev@mandriva.org> 0.9.8.1-1mdv2009.0
+ Revision: 273536
- Update to 0.9.8.1.

* Sun Aug 03 2008 Lev Givon <lev@mandriva.org> 0.9.8-2mdv2009.0
+ Revision: 262540
- Install emacs mode.

* Fri Jun 13 2008 Lev Givon <lev@mandriva.org> 0.9.8-1mdv2009.0
+ Revision: 218786
- Update to 0.9.8.

* Wed May 21 2008 Lev Givon <lev@mandriva.org> 0.9.6.14-2mdv2009.0
+ Revision: 209885
- Make package noarch.

* Fri May 02 2008 Lev Givon <lev@mandriva.org> 0.9.6.14-1mdv2009.0
+ Revision: 200101
- Update to 0.9.6.14.

* Sun Apr 13 2008 Lev Givon <lev@mandriva.org> 0.9.6.13.1-1mdv2009.0
+ Revision: 192662
- Update to 0.9.6.13.1.

* Fri Mar 07 2008 Lev Givon <lev@mandriva.org> 0.9.6.12-1mdv2008.1
+ Revision: 181397
- import python-cython


* Wed Feb 13 2008 Lev Givon <lev@mandriva.org> 0.9.6.12-1mdv2008.0
- Update to 0.9.6.12.

* Mon Jan 07 2008 Lev Givon <lev@mandriva.org> 0.9.6.10b-1mdv2008.0
- Package for Mandriva.
